Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 5892)
@@ -15,5 +15,5 @@
 
 from anuga.utilities.numerical_tools import ensure_numeric
-from Numeric import arange, choose, zeros, Float, array, allclose, take, compress
+import numpy
     
 from anuga.geospatial_data.geospatial_data import ensure_absolute
@@ -237,5 +237,5 @@
     from anuga.config import time_format
     from Scientific.IO.NetCDF import NetCDFFile
-    from Numeric import array, zeros, Float, alltrue, concatenate, reshape
+##    from numpy.oldnumeric import array, zeros, Float, alltrue, concatenate, reshape
 
     # Open NetCDF file
@@ -303,5 +303,5 @@
     # Get variables
     # if verbose: print 'Get variables'    
-    time = fid.variables['time'][:]    
+    time = numpy.array(fid.variables['time'][:]    )
 
     # Get time independent stuff
@@ -317,7 +317,7 @@
             triangles = fid.variables['volumes'][:]
 
-        x = reshape(x, (len(x),1))
-        y = reshape(y, (len(y),1))
-        vertex_coordinates = concatenate((x,y), axis=1) #m x 2 array
+        x = numpy.reshape(x, (len(x),1))
+        y = numpy.reshape(y, (len(y),1))
+        vertex_coordinates = numpy.concatenate((x,y), axis=1) #m x 2 array
 
         if boundary_polygon is not None:
@@ -331,5 +331,5 @@
             for i in range(len(boundary_polygon)):
                 for j in range(len(x)):
-                    if allclose(vertex_coordinates[j],boundary_polygon[i],1e-4):
+                    if numpy.allclose(vertex_coordinates[j],boundary_polygon[i],1e-4):
                         #FIX ME:
                         #currently gauges lat and long is stored as float and
@@ -351,5 +351,5 @@
                 gauge_neighbour_id.append(-1)
             gauge_neighbour_id=ensure_numeric(gauge_neighbour_id)
-            if len(compress(gauge_neighbour_id>=0,gauge_neighbour_id))!=len(temp)-1:
+            if len(numpy.compress(gauge_neighbour_id>=0,gauge_neighbour_id))!=len(temp)-1:
                 msg='incorrect number of segments'
                 raise msg
@@ -373,4 +373,8 @@
         # move time back - relative to domain's time
         if domain_starttime > starttime:
+##            print 'type(time)=%s' % type(time)
+##            print 'type(domain_starttime)=%s' % type(domain_starttime)
+##            print 'type(starttime)=%s' % type(starttime)
+##            a = time - domain_starttime
             time = time - domain_starttime + starttime
 
@@ -398,5 +402,5 @@
         if boundary_polygon is not None:
             #removes sts points that do not lie on boundary
-            quantities[name] = take(quantities[name],gauge_id,1)
+            quantities[name] = numpy.take(quantities[name], gauge_id, 1)
             
     # Close sww, tms or sts netcdf file         
@@ -520,5 +524,5 @@
                 raise 'Illegal input to get_textual_float:', value
         else:
-            return format %float(value)
+            return format % float(value)
 
 
@@ -1036,5 +1040,5 @@
     """
 #    from math import sqrt, atan, degrees
-    from Numeric import ones, allclose, zeros, Float, ravel
+##    from numpy.oldnumeric import ones, allclose, zeros, Float, ravel
     from os import sep, altsep, getcwd, mkdir, access, F_OK, environ
 
@@ -1077,16 +1081,16 @@
     n0 = int(n0)
     m = len(locations)
-    model_time = zeros((n0,m,p), Float) 
-    stages = zeros((n0,m,p), Float)
-    elevations = zeros((n0,m,p), Float) 
-    momenta = zeros((n0,m,p), Float)
-    xmom = zeros((n0,m,p), Float)
-    ymom = zeros((n0,m,p), Float)
-    speed = zeros((n0,m,p), Float)
-    bearings = zeros((n0,m,p), Float)
-    due_east = 90.0*ones((n0,1), Float)
-    due_west = 270.0*ones((n0,1), Float)
-    depths = zeros((n0,m,p), Float)
-    eastings = zeros((n0,m,p), Float)
+    model_time = numpy.zeros((n0,m,p), numpy.float) 
+    stages = numpy.zeros((n0,m,p), numpy.float)
+    elevations = numpy.zeros((n0,m,p), numpy.float) 
+    momenta = numpy.zeros((n0,m,p), numpy.float)
+    xmom = numpy.zeros((n0,m,p), numpy.float)
+    ymom = numpy.zeros((n0,m,p), numpy.float)
+    speed = numpy.zeros((n0,m,p), numpy.float)
+    bearings = numpy.zeros((n0,m,p), numpy.float)
+    due_east = 90.0*numpy.ones((n0,1), numpy.float)
+    due_west = 270.0*numpy.ones((n0,1), numpy.float)
+    depths = numpy.zeros((n0,m,p), numpy.float)
+    eastings = numpy.zeros((n0,m,p), numpy.float)
     min_stages = []
     max_stages = []
@@ -1100,7 +1104,7 @@
     min_speeds = []    
     max_depths = []
-    model_time_plot3d = zeros((n0,m), Float)
-    stages_plot3d = zeros((n0,m), Float)
-    eastings_plot3d = zeros((n0,m),Float)
+    model_time_plot3d = numpy.zeros((n0,m), numpy.float)
+    stages_plot3d = numpy.zeros((n0,m), numpy.float)
+    eastings_plot3d = numpy.zeros((n0,m),numpy.float)
     if time_unit is 'mins': scale = 60.0
     if time_unit is 'hours': scale = 3600.0
@@ -1202,5 +1206,5 @@
                 else:
                     #ax.plot_wireframe(model_time[:,:,j],eastings[:,:,j],stages[:,:,j])
-                    ax.plot3D(ravel(eastings[:,:,j]),ravel(model_time[:,:,j]),ravel(stages[:,:,j]))
+                    ax.plot3D(numpy.ravel(eastings[:,:,j]),numpy.ravel(model_time[:,:,j]),numpy.ravel(stages[:,:,j]))
                 ax.set_xlabel('time')
                 ax.set_ylabel('x')
@@ -1501,5 +1505,5 @@
     
     # initialise the array to easily find the index of the first loner
-    loners=arange(2*N, N, -1) # if N=3 [6,5,4]
+    loners=numpy.arange(2*N, N, -1) # if N=3 [6,5,4]
     for t in triangles:
         for vert in t:
@@ -1535,5 +1539,5 @@
         #print "loners", loners
         #print "triangles before", triangles
-        triangles = choose(triangles,loners)
+        triangles = numpy.choose(triangles,loners)
         #print "triangles after", triangles
     return verts, triangles
@@ -1550,5 +1554,5 @@
 
         
-    xc = zeros(triangles.shape[0], Float) # Space for centroid info
+    xc = numpy.zeros(triangles.shape[0], numpy.float) # Space for centroid info
     
     for k in range(triangles.shape[0]):
@@ -1832,5 +1836,5 @@
                 #add tide to stage if provided
                 if quantity == 'stage':
-                     quantity_value[quantity]=array(quantity_value[quantity])+directory_add_tide
+                     quantity_value[quantity]=numpy.array(quantity_value[quantity])+directory_add_tide
 
                 #condition to find max and mins for all the plots
@@ -1943,5 +1947,5 @@
             #get data from dict in to list
             #do maths to list by changing to array
-            t=(array(directory_quantity_value[directory][filename]['time'])+directory_start_time)/seconds_in_minutes
+            t=(numpy.array(directory_quantity_value[directory][filename]['time'])+directory_start_time)/seconds_in_minutes
 
             #finds the maximum elevation, used only as a test
@@ -2124,5 +2128,5 @@
     from csv import reader,writer
     from anuga.utilities.numerical_tools import ensure_numeric, mean, NAN
-    from Numeric import array, resize, shape, Float, zeros, take, argsort, argmin
+##    from numpy.oldnumeric import array, resize, shape, Float, zeros, take, argsort, argmin
     import string
     from anuga.shallow_water.data_manager import get_all_swwfiles
@@ -2165,5 +2169,5 @@
         
     #convert to array for file_function
-    points_array = array(points,Float)
+    points_array = numpy.array(points, numpy.float)
         
     points_array = ensure_absolute(points_array)
